diff -rupN arpack++1.2.orig/include/arunsmat.h arpack++1.2.patched/include/arunsmat.h
--- arpack++1.2.orig/include/arunsmat.h	2000-02-21 17:42:41.000000000 +0100
+++ arpack++1.2.patched/include/arunsmat.h	2006-01-26 15:37:50.000000000 +0100
@@ -20,7 +20,8 @@
 #ifndef ARUNSMAT_H
 #define ARUNSMAT_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "armat.h"
 #include "arhbmat.h"
@@ -145,16 +146,16 @@ bool ARumNonSymMatrix<ARTYPE, ARFLOAT>::
   // Checking if pcol is in ascending order.
 
   i = 0;
-  while ((i!=n)&&(pcol[i]<=pcol[i+1])) i++;
-  if (i!=n) return false;
+  while ((i!=this->n)&&(pcol[i]<=pcol[i+1])) i++;
+  if (i!=this->n) return false;
 
   // Checking if irow components are in order and within bounds.
 
-  for (i=0; i!=n; i++) {
+  for (i=0; i!=this->n; i++) {
     j = pcol[i];
     k = pcol[i+1]-1;
     if (j<=k) {
-      if ((irow[j]<0)||(irow[k]>=n)) return false;
+      if ((irow[j]<0)||(irow[k]>=this->n)) return false;
       while ((j!=k)&&(irow[j]<irow[j+1])) j++;
       if (j!=k) return false;
     }  
@@ -190,9 +191,9 @@ Copy(const ARumNonSymMatrix<ARTYPE, ARFL
 
   // Copying very fundamental variables and user-defined parameters.
 
-  m         = other.m;
-  n         = other.n;
-  defined   = other.defined;
+  this->m         = other.m;
+  this->n         = other.n;
+  this->defined   = other.defined;
   factored  = other.factored;
   fillin    = other.fillin;
   nnz       = other.nnz;
@@ -205,7 +206,7 @@ Copy(const ARumNonSymMatrix<ARTYPE, ARFL
 
   // Returning from here if "other" was not initialized.
 
-  if (!defined) return;
+  if (!this->defined) return;
 
   // Copying arrays with static dimension.
 
@@ -237,10 +238,10 @@ void ARumNonSymMatrix<ARTYPE, ARFLOAT>::
   // Subtracting sigma from diagonal elements.
 
   k        = 0;
-  ki       = n+1;
+  ki       = this->n+1;
   index[0] = 1;
 
-  for (i=0; i!=n; i++) {
+  for (i=0; i!=this->n; i++) {
 
     j = pcol[i];
     end = pcol[i+1];
@@ -280,11 +281,11 @@ template<class ARTYPE, class ARFLOAT>
 inline void ARumNonSymMatrix<ARTYPE, ARFLOAT>::CreateStructure()
 {
 
-  int dimfact = (((fillin+1)*nnz)<(n*n)) ? (fillin+1)*nnz : n*n;
+  int dimfact = (((fillin+1)*nnz)<(this->n*this->n)) ? (fillin+1)*nnz : this->n*this->n;
 
-  ClearMem();
+  this->ClearMem();
 
-  lindex = 30*n+dimfact;     // ?????
+  lindex = 30*this->n+dimfact;     // ?????
   lvalue = dimfact;
 
   value  = new ARTYPE[lvalue];
@@ -319,13 +320,13 @@ void ARumNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (!this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED,"ARumNonSymMatrix::FactorA");
   }
 
   // Quitting the function if A is not square.
 
-  if (m != n) {
+  if (this->m != this->n) {
     throw ArpackError(ArpackError::NOT_SQUARE_MATRIX,
                       "ARumNonSymMatrix::FactorA");
   }
@@ -344,13 +345,13 @@ void ARumNonSymMatrix<ARTYPE, ARFLOAT>::
   copy(nnz, a, 1, value, 1);
   pi=pcol;
   pj=index;
-  for (i=0; i<=n; i++) *pj++ = (*pi++)+1;
+  for (i=0; i<=this->n; i++) *pj++ = (*pi++)+1;
   pi=irow;
   for (i=0; i<nnz; i++) *pj++ = (*pi++)+1;
 
   // Decomposing A.
 
-  um2fa(n, nnz, 0, false, lvalue, lindex, value, 
+  um2fa(this->n, nnz, 0, false, lvalue, lindex, value, 
         index, keep, cntl, icntl, info, rinfo);
 
   // Handling errors.
@@ -368,14 +369,14 @@ void ARumNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (!this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED,
                       "ARumNonSymMatrix::FactorAsI");
   }
 
   // Quitting the function if A is not square.
 
-  if (m != n) {
+  if (this->m != this->n) {
     throw ArpackError(ArpackError::NOT_SQUARE_MATRIX,
                       "ARumNonSymMatrix::FactorAsI");
   }
@@ -390,7 +391,7 @@ void ARumNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Decomposing AsI.
 
-  um2fa(n, nnz, 0, false, lvalue, lindex, value,
+  um2fa(this->n, nnz, 0, false, lvalue, lindex, value,
         index, keep, cntl, icntl, info, rinfo);
 
   // Handling errors.
@@ -411,15 +412,15 @@ void ARumNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (!this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED, "ARumNonSymMatrix::MultMv");
   }
 
   // Determining w = M.v.
 
-  for (i=0; i!=m; i++) w[i]=(ARTYPE)0;
+  for (i=0; i!=this->m; i++) w[i]=(ARTYPE)0;
 
-  for (i=0; i!=n; i++) {
+  for (i=0; i!=this->n; i++) {
     t = v[i];
     for (j=pcol[i]; j!=pcol[i+1]; j++) {
       w[irow[j]] += t*a[j];
@@ -438,13 +439,13 @@ void ARumNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (!this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED,"ARumNonSymMatrix::MultMtv");
   }
 
   // Determining w = M'.v.
 
-  for (i=0; i!=n; i++) {
+  for (i=0; i!=this->n; i++) {
     t = (ARTYPE)0;
     for (j=pcol[i]; j!=pcol[i+1]; j++) {
       t += v[irow[j]]*a[j];
@@ -459,7 +460,7 @@ template<class ARTYPE, class ARFLOAT>
 void ARumNonSymMatrix<ARTYPE, ARFLOAT>::MultMtMv(ARTYPE* v, ARTYPE* w)
 {
 
-  ARTYPE* t = new ARTYPE[m];
+  ARTYPE* t = new ARTYPE[this->m];
 
   MultMv(v,t);
   MultMtv(t,w);
@@ -473,7 +474,7 @@ template<class ARTYPE, class ARFLOAT>
 void ARumNonSymMatrix<ARTYPE, ARFLOAT>::MultMMtv(ARTYPE* v, ARTYPE* w)
 {
 
-  ARTYPE* t = new ARTYPE[n];
+  ARTYPE* t = new ARTYPE[this->n];
 
   MultMtv(v,t);
   MultMv(t,w);
@@ -487,8 +488,8 @@ template<class ARTYPE, class ARFLOAT>
 void ARumNonSymMatrix<ARTYPE, ARFLOAT>::Mult0MMt0v(ARTYPE* v, ARTYPE* w)
 {
 
-  MultMv(&v[m],w);
-  MultMtv(v,&w[m]);
+  MultMv(&v[this->m],w);
+  MultMtv(v,&w[this->m]);
 
 } // Mult0MMt0v.
 
@@ -506,9 +507,9 @@ void ARumNonSymMatrix<ARTYPE, ARFLOAT>::
 
   // Solving A.w = v (or AsI.w = v).
 
-  ARTYPE* space = new ARTYPE[2*n];
+  ARTYPE* space = new ARTYPE[2*this->n];
 
-  um2so(n, 0, false, lvalue, lindex, value, index,
+  um2so(this->n, 0, false, lvalue, lindex, value, index,
         keep, v, w, space, cntl, icntl, info, rinfo);
 
   delete[] space;
@@ -525,13 +526,13 @@ DefineMatrix(int np, int nnzp, ARTYPE* a
 
   // Defining member variables.
 
-  m         = np;
-  n         = np;
+  this->m         = np;
+  this->n         = np;
   nnz       = nnzp;
   a         = ap;
   irow      = irowp;
   pcol      = pcolp;
-  pcol[n]   = nnz;
+  pcol[this->n]   = nnz;
   fillin    = (fillinp>2) ? fillinp : 2;
   threshold = thresholdp;
   value     = NULL;
@@ -548,7 +549,7 @@ DefineMatrix(int np, int nnzp, ARTYPE* a
                       "ARumNonSymMatrix::DefineMatrix");
   }
   else {
-    defined = true;
+    this->defined = true;
   }
 
 } // DefineMatrix (square).
@@ -561,15 +562,15 @@ DefineMatrix(int mp, int np, int nnzp, A
 
   // Defining member variables.
 
-  m        = mp;
-  n        = np;
+  this->m        = mp;
+  this->n        = np;
   nnz      = nnzp;
   a        = ap;
   irow     = irowp;
   pcol     = pcolp;
-  pcol[n]  = nnz;
+  pcol[this->n]  = nnz;
   fillin   = 0;
-  defined  = true;
+  this->defined  = true;
 
 } // DefineMatrix (rectangular).
 
diff -rupN arpack++1.2.orig/include/aruscomp.h arpack++1.2.patched/include/aruscomp.h
--- arpack++1.2.orig/include/aruscomp.h	2000-02-21 18:38:55.000000000 +0100
+++ arpack++1.2.patched/include/aruscomp.h	2006-01-26 15:37:50.000000000 +0100
@@ -18,7 +18,8 @@
 #ifndef ARUSCOMP_H
 #define ARUSCOMP_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "arscomp.h"
 #include "arunsmat.h"
@@ -84,7 +85,7 @@ inline void ARluCompStdEig<ARFLOAT>::
 ChangeShift(arcomplex<ARFLOAT> sigmaRp)
 {
 
-  objOP->FactorAsI(sigmaRp);
+  this->objOP->FactorAsI(sigmaRp);
   ARrcStdEig<ARFLOAT, arcomplex<ARFLOAT> >::ChangeShift(sigmaRp);
 
 } // ChangeShift.
@@ -96,7 +97,7 @@ inline void ARluCompStdEig<ARFLOAT>::Set
 
   ARStdEig<ARFLOAT, arcomplex<ARFLOAT>, 
            ARumNonSymMatrix<arcomplex<ARFLOAT>, ARFLOAT> >::
-    SetRegularMode(objOP, 
+    SetRegularMode(this->objOP, 
                    &ARumNonSymMatrix<arcomplex<ARFLOAT>, ARFLOAT>::MultMv);
 
 } // SetRegularMode.
@@ -109,7 +110,7 @@ SetShiftInvertMode(arcomplex<ARFLOAT> si
 
   ARStdEig<ARFLOAT, arcomplex<ARFLOAT>, 
            ARumNonSymMatrix<arcomplex<ARFLOAT>, ARFLOAT> >::
-    SetShiftInvertMode(sigmap, objOP,
+    SetShiftInvertMode(sigmap, this->objOP,
                        &ARumNonSymMatrix<arcomplex<ARFLOAT>,ARFLOAT>::MultInvv);
 
 } // SetShiftInvertMode.
@@ -123,7 +124,7 @@ ARluCompStdEig(int nevp, ARumNonSymMatri
 
 {
 
-  NoShift();
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &A,
                    &ARumNonSymMatrix<arcomplex<ARFLOAT>, ARFLOAT>::MultMv,
                    whichp, ncvp, tolp, maxitp, residp, ishiftp);
@@ -154,7 +155,7 @@ operator=(const ARluCompStdEig<ARFLOAT>&
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
diff -rupN arpack++1.2.orig/include/arusmat.h arpack++1.2.patched/include/arusmat.h
--- arpack++1.2.orig/include/arusmat.h	2000-02-21 17:53:51.000000000 +0100
+++ arpack++1.2.patched/include/arusmat.h	2006-01-26 15:37:50.000000000 +0100
@@ -20,7 +20,8 @@
 #ifndef ARUSMAT_H
 #define ARUSMAT_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "armat.h"
 #include "arhbmat.h"
@@ -125,12 +126,12 @@ bool ARumSymMatrix<ARTYPE>::DataOK()
   // Checking if pcol is in ascending order.
 
   i = 0;
-  while ((i!=n)&&(pcol[i]<=pcol[i+1])) i++;
-  if (i!=n) return false;
+  while ((i!=this->n)&&(pcol[i]<=pcol[i+1])) i++;
+  if (i!=this->n) return false;
 
   // Checking if irow components are in order and within bounds.
 
-  for (i=0; i!=n; i++) {
+  for (i=0; i!=this->n; i++) {
     j = pcol[i];
     k = pcol[i+1]-1;
     if (j<=k) {
@@ -138,7 +139,7 @@ bool ARumSymMatrix<ARTYPE>::DataOK()
         if ((irow[j]<0)||(irow[k]>i)) return false;
       }
       else { // uplo == 'L'.
-        if ((irow[j]<i)||(irow[k]>=n)) return false;
+        if ((irow[j]<i)||(irow[k]>=this->n)) return false;
       }
       while ((j!=k)&&(irow[j]<irow[j+1])) j++;
       if (j!=k) return false;
@@ -174,9 +175,9 @@ void ARumSymMatrix<ARTYPE>::Copy(const A
 
   // Copying very fundamental variables and user-defined parameters.
 
-  m         = other.m;
-  n         = other.n;
-  defined   = other.defined;
+  this->m         = other.m;
+  this->n         = other.n;
+  this->defined   = other.defined;
   factored  = other.factored;
   fillin    = other.fillin;
   nnz       = other.nnz;
@@ -190,7 +191,7 @@ void ARumSymMatrix<ARTYPE>::Copy(const A
 
   // Returning from here if "other" was not initialized.
 
-  if (!defined) return;
+  if (!this->defined) return;
 
   // Copying arrays with static dimension.
 
@@ -226,13 +227,13 @@ void ARumSymMatrix<ARTYPE>::ExpandA(ARTY
 
   // Filling index with zeros.
 
-  for (i=0; i<=n; i++) index[i] = 0;
+  for (i=0; i<=this->n; i++) index[i] = 0;
 
   // Counting the elements in each column of A.
 
   if (uplo == 'U') {
 
-    for (i=0; i!=n; i++) {
+    for (i=0; i!=this->n; i++) {
       k = pcol[i+1];
       if ((k!=pcol[i])&&(irow[k-1]==i)) {
         k--;
@@ -246,7 +247,7 @@ void ARumSymMatrix<ARTYPE>::ExpandA(ARTY
   }
   else { // uplo == 'L'
 
-    for (i=0; i!=n; i++) {
+    for (i=0; i!=this->n; i++) {
       k = pcol[i];
       if ((k!=pcol[i+1])&&(irow[k]==i)) {
         k++;
@@ -261,20 +262,20 @@ void ARumSymMatrix<ARTYPE>::ExpandA(ARTY
 
   // Summing up index elements.
 
-  for (i=0; i<n; i++) index[i+1]+=index[i];
+  for (i=0; i<this->n; i++) index[i+1]+=index[i];
 
   // Adding pcol to index.
 
-  for (i=n; i>0; i--) index[i] = index[i-1]+pcol[i];
+  for (i=this->n; i>0; i--) index[i] = index[i-1]+pcol[i];
   index[0] = pcol[0];    
 
   // Expanding A.
 
-  ki = n+1;
+  ki = this->n+1;
 
   if (uplo == 'U') {
 
-    for (i=0; i<n; i++) {
+    for (i=0; i<this->n; i++) {
       for (j=pcol[i]; j<(pcol[i+1]-1); j++) {
         index[ki+index[i]] = irow[j]+1;
         index[ki+index[irow[j]]] = i+1; 
@@ -301,7 +302,7 @@ void ARumSymMatrix<ARTYPE>::ExpandA(ARTY
   }
   else { // uplo  == 'L'
 
-    for (i=0; i<n; i++) {
+    for (i=0; i<this->n; i++) {
       k=pcol[i];
       if ((k!=pcol[i+1])&&(irow[k]==i)) {
         index[ki+index[i]] = i+1;
@@ -331,7 +332,7 @@ void ARumSymMatrix<ARTYPE>::ExpandA(ARTY
 
   // Adjusting index.
 
-  for (i=n; i>0; i--) {
+  for (i=this->n; i>0; i--) {
     index[i] = index[i-1]+1;
   } 
   index[0] = 1;
@@ -343,11 +344,11 @@ template<class ARTYPE>
 inline void ARumSymMatrix<ARTYPE>::CreateStructure()
 {
 
-  int dimfact = (((fillin+1)*nnz*2)<(n*n)) ? (fillin+1)*nnz*2 : n*n;
+  int dimfact = (((fillin+1)*nnz*2)<(this->n*this->n)) ? (fillin+1)*nnz*2 : this->n*this->n;
 
   ClearMem();
 
-  lindex = 30*n+dimfact;          // ?????
+  lindex = 30*this->n+dimfact;          // ?????
   lvalue = dimfact;
 
   value  = new ARTYPE[lvalue];
@@ -382,7 +383,7 @@ void ARumSymMatrix<ARTYPE>::FactorA()
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (!this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED, "ARumSymMatrix::FactorA");
   }
 
@@ -396,7 +397,7 @@ void ARumSymMatrix<ARTYPE>::FactorA()
 
   // Decomposing A.
 
-  um2fa(n, index[n], 0, false, lvalue, lindex, value, 
+  um2fa(this->n, index[this->n], 0, false, lvalue, lindex, value, 
         index, keep, cntl, icntl, info, rinfo);
 
   // Handling errors.
@@ -414,7 +415,7 @@ void ARumSymMatrix<ARTYPE>::FactorAsI(AR
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (!this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED, "ARumSymMatrix::FactorAsI");
   }
 
@@ -428,7 +429,7 @@ void ARumSymMatrix<ARTYPE>::FactorAsI(AR
 
   // Decomposing AsI.
 
-  um2fa(n, index[n], 0, false, lvalue, lindex, value,
+  um2fa(this->n, index[this->n], 0, false, lvalue, lindex, value,
         index, keep, cntl, icntl, info, rinfo);
 
   // Handling errors.
@@ -449,17 +450,17 @@ void ARumSymMatrix<ARTYPE>::MultMv(ARTYP
 
   // Quitting the function if A was not defined.
 
-  if (!IsDefined()) {
+  if (!this->IsDefined()) {
     throw ArpackError(ArpackError::DATA_UNDEFINED, "ARumSymMatrix::MultMv");
   }
 
   // Determining w = M.v.
 
-  for (i=0; i!=m; i++) w[i]=(ARTYPE)0;
+  for (i=0; i!=this->m; i++) w[i]=(ARTYPE)0;
 
   if (uplo == 'U') {
 
-    for (i=0; i!=n; i++) {
+    for (i=0; i!=this->n; i++) {
       t = v[i];
       k = pcol[i+1];
       if ((k!=pcol[i])&&(irow[k-1]==i)) {
@@ -475,7 +476,7 @@ void ARumSymMatrix<ARTYPE>::MultMv(ARTYP
   }
   else {
 
-    for (i=0; i!=n; i++) {
+    for (i=0; i!=this->n; i++) {
       t = v[i];
       k = pcol[i];
       if ((k!=pcol[i+1])&&(irow[k]==i)) {
@@ -506,9 +507,9 @@ void ARumSymMatrix<ARTYPE>::MultInvv(ART
 
   // Solving A.w = v (or AsI.w = v).
 
-  ARTYPE* space = new ARTYPE[2*n];
+  ARTYPE* space = new ARTYPE[2*this->n];
 
-  um2so(n, 0, false, lvalue, lindex, value, index,
+  um2so(this->n, 0, false, lvalue, lindex, value, index,
         keep, v, w, space, cntl, icntl, info, rinfo);
 
   delete[] space;
@@ -525,13 +526,13 @@ DefineMatrix(int np, int nnzp, ARTYPE* a
 
   // Defining member variables.
 
-  m         = np;
-  n         = np;
+  this->m         = np;
+  this->n         = np;
   nnz       = nnzp;
   a         = ap;
   irow      = irowp;
   pcol      = pcolp;
-  pcol[n]   = nnz;
+  pcol[this->n]   = nnz;
   uplo      = uplop;
   fillin    = (fillinp>2) ? fillinp : 2;
   threshold = thresholdp;
@@ -549,7 +550,7 @@ DefineMatrix(int np, int nnzp, ARTYPE* a
                       "ARumSymMatrix::DefineMatrix");
   }
   else {
-    defined = true;
+    this->defined = true;
   }
 
 } // DefineMatrix.
diff -rupN arpack++1.2.orig/include/arusnsym.h arpack++1.2.patched/include/arusnsym.h
--- arpack++1.2.orig/include/arusnsym.h	2000-02-21 18:35:24.000000000 +0100
+++ arpack++1.2.patched/include/arusnsym.h	2006-01-26 15:37:50.000000000 +0100
@@ -18,7 +18,8 @@
 #ifndef ARUSNSYM_H
 #define ARUSNSYM_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "arsnsym.h"
 #include "arunsmat.h"
@@ -80,13 +81,13 @@ template<class ARFLOAT>
 inline void ARluNonSymStdEig<ARFLOAT>::ChangeShift(ARFLOAT sigmaRp)
 {
 
-  sigmaR    = sigmaRp;
-  sigmaI    = 0.0;
-  mode      = 3;
-  iparam[7] = mode;
+  this->sigmaR    = sigmaRp;
+  this->sigmaI    = 0.0;
+  this->mode      = 3;
+  this->iparam[7] = this->mode;
 
-  objOP->FactorAsI(sigmaR);
-  Restart();
+  this->objOP->FactorAsI(this->sigmaR);
+  this->Restart();
 
 } // ChangeShift.
 
@@ -96,7 +97,7 @@ inline void ARluNonSymStdEig<ARFLOAT>::S
 {
 
   ARStdEig<ARFLOAT, ARFLOAT, ARumNonSymMatrix<ARFLOAT, ARFLOAT> >::
-    SetRegularMode(objOP, &ARumNonSymMatrix<ARFLOAT, ARFLOAT>::MultMv);
+    SetRegularMode(this->objOP, &ARumNonSymMatrix<ARFLOAT, ARFLOAT>::MultMv);
 
 } // SetRegularMode.
 
@@ -106,7 +107,7 @@ inline void ARluNonSymStdEig<ARFLOAT>::S
 {
 
   ARStdEig<ARFLOAT, ARFLOAT, ARumNonSymMatrix<ARFLOAT, ARFLOAT> >::
-    SetShiftInvertMode(sigmap, objOP, 
+    SetShiftInvertMode(sigmap, this->objOP, 
                        &ARumNonSymMatrix<ARFLOAT, ARFLOAT>::MultInvv);
 
 } // SetShiftInvertMode.
@@ -120,7 +121,7 @@ ARluNonSymStdEig(int nevp, ARumNonSymMat
 
 {
 
-  NoShift();
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &A, 
                    &ARumNonSymMatrix<ARFLOAT, ARFLOAT>::MultMv,
                    whichp, ncvp, tolp, maxitp, residp, ishiftp);
@@ -150,7 +151,7 @@ operator=(const ARluNonSymStdEig<ARFLOAT
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
@@ -159,4 +160,3 @@ operator=(const ARluNonSymStdEig<ARFLOAT
 
 
 #endif // ARUSNSYM_H
-
diff -rupN arpack++1.2.orig/include/arussym.h arpack++1.2.patched/include/arussym.h
--- arpack++1.2.orig/include/arussym.h	2000-02-21 17:57:27.000000000 +0100
+++ arpack++1.2.patched/include/arussym.h	2006-01-26 15:37:50.000000000 +0100
@@ -18,7 +18,8 @@
 #ifndef ARUSSYM_H
 #define ARUSSYM_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "arssym.h"
 #include "arusmat.h"
@@ -80,13 +81,13 @@ template<class ARFLOAT>
 inline void ARluSymStdEig<ARFLOAT>::ChangeShift(ARFLOAT sigmaRp)
 {
 
-  sigmaR    = sigmaRp;
-  sigmaI    = 0.0;
-  mode      = 3;
-  iparam[7] = mode;
+  this->sigmaR    = sigmaRp;
+  this->sigmaI    = 0.0;
+  this->mode      = 3;
+  this->iparam[7] = this->mode;
 
-  objOP->FactorAsI(sigmaR);
-  Restart();
+  this->objOP->FactorAsI(this->sigmaR);
+  this->Restart();
 
 } // ChangeShift.
 
@@ -96,7 +97,7 @@ inline void ARluSymStdEig<ARFLOAT>::SetR
 {
 
   ARStdEig<ARFLOAT, ARFLOAT, ARumSymMatrix<ARFLOAT> >::
-    SetRegularMode(objOP, &ARumSymMatrix<ARFLOAT>::MultMv);
+    SetRegularMode(this->objOP, &ARumSymMatrix<ARFLOAT>::MultMv);
 
 } // SetRegularMode.
 
@@ -106,7 +107,7 @@ inline void ARluSymStdEig<ARFLOAT>::SetS
 {
 
   ARStdEig<ARFLOAT, ARFLOAT, ARumSymMatrix<ARFLOAT> >::
-    SetShiftInvertMode(sigmap, objOP, &ARumSymMatrix<ARFLOAT>::MultInvv);
+    SetShiftInvertMode(sigmap, this->objOP, &ARumSymMatrix<ARFLOAT>::MultInvv);
 
 } // SetShiftInvertMode.
 
@@ -118,7 +119,7 @@ ARluSymStdEig(int nevp, ARumSymMatrix<AR
               int maxitp, ARFLOAT* residp, bool ishiftp)
 {
 
-  NoShift();
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &A, &ARumSymMatrix<ARFLOAT>::MultMv,
                    whichp, ncvp, tolp, maxitp, residp, ishiftp);
 
@@ -146,7 +147,7 @@ operator=(const ARluSymStdEig<ARFLOAT>& 
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
diff -rupN arpack++1.2.orig/include/ceupp.h arpack++1.2.patched/include/ceupp.h
--- arpack++1.2.orig/include/ceupp.h	2000-02-21 12:54:11.000000000 +0100
+++ arpack++1.2.patched/include/ceupp.h	2006-01-26 15:37:50.000000000 +0100
@@ -17,7 +17,8 @@
 #ifndef CEUPP_H
 #define CEUPP_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "arpackf.h"
 
diff -rupN arpack++1.2.orig/include/neupp.h arpack++1.2.patched/include/neupp.h
--- arpack++1.2.orig/include/neupp.h	2000-02-21 12:51:10.000000000 +0100
+++ arpack++1.2.patched/include/neupp.h	2006-01-26 15:37:50.000000000 +0100
@@ -17,7 +17,8 @@
 #ifndef NEUPP_H
 #define NEUPP_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "arpackf.h"
 
diff -rupN arpack++1.2.orig/include/seupp.h arpack++1.2.patched/include/seupp.h
--- arpack++1.2.orig/include/seupp.h	2000-02-21 12:57:23.000000000 +0100
+++ arpack++1.2.patched/include/seupp.h	2006-01-26 15:37:50.000000000 +0100
@@ -17,7 +17,8 @@
 #ifndef SEUPP_H
 #define SEUPP_H
 
-#include <stddef.h>
+#include <cstddef>
+
 #include "arch.h"
 #include "arpackf.h"
 
diff -rupN arpack++1.2.orig/Makefile.inc arpack++1.2.patched/Makefile.inc
--- arpack++1.2.orig/Makefile.inc	2000-04-05 14:00:59.000000000 +0200
+++ arpack++1.2.patched/Makefile.inc	2006-01-26 15:37:50.000000000 +0100
@@ -6,7 +6,7 @@
 
 # Defining the machine.
 
-PLAT         = solaris
+PLAT         = linux
 
 # Defining the compiler.
 
@@ -16,7 +16,8 @@ CPP          = g++
 # ARPACKPP_INC is the directory that contains all arpack++ header files.
 # SUPERLU_DIR and UMFPACK_DIR must be set to ARPACKPP_INC.
 
-ARPACKPP_DIR = $(HOME)/arpack++
+#ARPACKPP_DIR = $(HOME)/arpack++
+ARPACKPP_DIR = ../../..
 ARPACKPP_INC = $(ARPACKPP_DIR)/include
 SUPERLU_DIR  = $(ARPACKPP_INC)
 UMFPACK_DIR  = $(ARPACKPP_INC)
@@ -33,14 +34,12 @@ UMFPACK_DIR  = $(ARPACKPP_INC)
 # Other libraries should be defined if the user intends to compile
 # arpack++ on another environment.
 
-ARPACK_LIB   = $(HOME)/lib/arpack_$(PLAT).a
-LAPACK_LIB   = /opt/LAPACK/lapack_$(PLAT).a
-UMFPACK_LIB  = $(HOME)/lib/umfpack_$(PLAT).a
-SUPERLU_LIB  = $(HOME)/lib/superlu_$(PLAT).a
-BLAS_LIB     = /opt/LAPACK/blas_$(PLAT).a 
-FORTRAN_LIBS = /opt/SUNWspro/SC4.0/lib/libF77.a \
-               /opt/SUNWspro/SC4.0/lib/libM77.a \
-               /opt/SUNWspro/SC4.0/lib/libsunmath.a
+ARPACK_LIB   = -larpack
+LAPACK_LIB   = -llapack
+UMFPACK_LIB  = #-lumfpack
+SUPERLU_LIB  = /usr/lib/libsuperlu.a
+BLAS_LIB     = -lblas
+FORTRAN_LIBS = -lg2c
 
 # Defining g++ flags and directories.
 
@@ -49,7 +48,7 @@ CPP_WARNINGS = -Wall -ansi -pedantic-err
 CPP_DEBUG    = -g
 CPP_OPTIM    = -O
 CPP_LIBS     = 
-CPP_INC      = /usr/local/include/g++-3
+CPP_INC      = 
 
 CPP_FLAGS    = $(CPP_DEBUG) -D$(PLAT) -I$(ARPACKPP_INC) -I$(CPP_INC) \
                $(CPP_WARNINGS)
